## mutter 47.0

=== debian/changelog ===
mutter (47.0-1ubuntu4.4) oracular; urgency=medium

  * Add clutter-Repick-actors-when-touches-emulate-button-clicks.patch
    to resolve touchscreen problems on X11 (LP: #2063005, LP: #1904237)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 26 Mar 2025 15:19:58 +0800

mutter (47.0-1ubuntu4.3) oracular; urgency=medium

  [ Alessandro Astone ]
  * debian: Update metadata for ubuntu/oracular branch
  * Backport patch to fix touch drag&drop (LP: #1966635)
  * Backport patch to fix touch grab (LP: #2089843)
  * Backport patch to fix opening popups with touch input (LP: #2091159)

  [ Yao Wei (魏銘廷) ]
  * debian/patches: Synchronize touchscreen enabled state when adding it to
    device mapper, which fixes suspend/resume related issue (LP: #2087831)

  [ Daniel van Vugt ]
  * Drop the previous fix attempted in 47.0-1ubuntu4.2 because verification
    failed and rather than retry it right now we just want to unblock the
    above fixes.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 06 Mar 2025 14:06:50 +0800

mutter (47.0-1ubuntu4.2) oracular; urgency=medium

  [ Nathan Teodosio ]
  * Fix access check for X11_TMP_UNIX_DIR (LP: #2069564)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 20 Dec 2024 17:44:00 +0800

mutter (47.0-1ubuntu4.1) oracular; urgency=medium

  * Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
    to avoid crashing when mousekeys or keyboard a11y features are
    enabled (LP: #2081728)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 30 Oct 2024 13:29:45 +0100

mutter (47.0-1ubuntu4) oracular; urgency=high

  * Add a missing break in derive_logical_monitor_size as part of
    x11-Add-support-for-fractional-scaling-using-Randr.patch.
    Because falling through two switch cases was causing the scale to be
    applied twice, which then resulted in mode verification failing later.
    (LP: #2080374)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 30 Sep 2024 18:15:25 +0800

mutter (47.0-1ubuntu3) oracular; urgency=medium

  * Add patches to restore support for EGL 1.4 and GLES 2.0. They are
    required for Xilinx (Mali) support (LP: #2080602)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 25 Sep 2024 13:49:09 +0800

mutter (47.0-1ubuntu2) oracular; urgency=medium

  * debian/patches: Refresh Indexes
  * debian/patches: Fix potential crash on destroying x11 struts

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 22:37:21 +0200

mutter (47.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Remove debian/salsa-ci.yml: Not helpful for us currently

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:12:13 -0400

mutter (47.0-1) experimental; urgency=medium

  * New upstream release
  * debian/libmutter-15-0.symbols: Add new symbol
  * Bump minimum PipeWire to 1.2.0
  * Remove patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 21:04:17 -0400

mutter (47~rc-5) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/p/tests-Create-a-temporary-XDG_DATA_HOME-to-run-each-test.patch,
    d/p/tests-Create-a-temporary-XDG_CONFIG_HOME.patch,
    d/p/tests-Create-a-temporary-XDG_CACHE_HOME.patch,
    d/p/color-management-tests-Use-the-inherited-temporary-XDG_DA.patch:
    Reimplement creation of temporary XDG_DATA_HOME for tests based on
    upstream feedback.
  * d/patches, d/clean: Remove duplicate ICC profile from test data

  [ Jeremy Bícha ]
  * d/p/window-xwayland-Handle-arithmetics-close-to-the-int-limit.patch:
    Cherry-pick resizing fix for various Electron apps (LP: #2080073)

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Sep 2024 12:55:28 +0100

mutter (47~rc-4ubuntu1) oracular; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Remove debian/salsa-ci.yml: Not helpful for us currently
  * Remove the cogl color patches: applied in new release
  * Remove the mesa workaround patch: shouldn't be needed any more
  * Cherry-pick resizing fix for various Electron apps (LP: #2080073)

  [ Marco Trevisan (Treviño) ]
  * d/p/x11-randr-scaling: Update to work with latest upstream changes
  * debian/control: Update VCS references to ubuntu branch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 11 Sep 2024 03:39:48 +0200

mutter (47~rc-4) experimental; urgency=medium

  * Team upload
  * d/mutter-15-tests.postrm: Clean up gschemas.compiled created by postinst

 -- Simon McVittie <smcv@debian.org>  Sat, 07 Sep 2024 21:41:22 +0100

mutter (47~rc-3) experimental; urgency=medium

  * Team upload
  * d/p/workarounds, d/tests: Treat all stacking tests as flaky.
    Unfortunately these don't seem to be stable enough to be used as a
    QA gate, and there are enough of them that at least one will often
    fail in any given buildd build or autopkgtest run
    (Mitigates: #1077800) (Closes: #1072512, #1078359)
  * d/tests: Also treat thread.test as flaky.
    This doesn't seem to be reliable in autopkgtest-virt-qemu or -lxc,
    although I can't reproduce the failure when running it separately.
  * d/rules, d/p/workarounds: Don't run the input-capture test at all.
    In my sbuild environment and on some buildds, it often hangs until it
    times out after 10 minutes, which is a waste of time. We were ignoring
    its result anyway.
  * d/mutter-15-tests.postinst: Compile required schemas for installed-tests
    (Closes: #1081016)

