=== debian/tests/control ===
Tests: build
Depends: @builddeps@
Restrictions: allow-stderr

Tests: libmutter-15-dev
Depends: build-essential,
         dbus-daemon,
         libmutter-15-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial

Tests: installed-tests
Classes: desktop
Depends: gnome-desktop-testing,
         mutter-15-tests
Restrictions: allow-stderr skippable

Tests: installed-tests-flaky
Classes: desktop
Depends: gnome-desktop-testing,
         mutter-15-tests
Restrictions: allow-stderr flaky
