## mutter 48.0

=== debian/changelog ===
mutter (2:48.0-1) unstable; urgency=medium

  * New upstream release

 -- Pedro Echanove <pedro.echanove@liberux.net>  Fri, 26 Sep 2025 13:59:31 +0200

mutter (48.4-2) unstable; urgency=medium

  * Team upload
  * d/gbp.conf, d/control: Switch packaging branch for trixie
  * Expand previous changelog entry to document all upstream changes
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Jul 2025 12:27:01 +0100

mutter (48.4-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream bugfix release
    - Unlink outputs from unused connectors in update_outputs, avoiding a
      use-after-free when a monitor is disconnected
      (mutter!4474 upstream)
    - Fix a crash caused by a use-after-free when clearing many
      accumulated notifications
      (mutter#3970 upstream, LP: #2102063)
    - Fix a non-reproducible crash caused by a use-after-free when dragging
      an epiphany-browser tab to create a new window
      (mutter#4157 upstream)
    - Fix the logic for when to disable the --no-x11 option
      (mutter!4485 upstream, not relevant to how we configure it in Debian)
    - Rate-limit visual alerts to 2 per second, to comply with the European
      Accessibility Act and avoid potentially triggering photosensitive
      seizures
      (mutter!4487 upstream)
    - Fix a rare crash with a NULL pointer dereference
      (mutter#4147 upstream, LP: #2100243)
    - Avoid reopening an inactive Nvidia GPU when not needed
      (mutter#3550 upstream)
    - Fix a NULL dereference in the tests
      (mutter!4495 upstream)
    - Fix stacking order for windows that get activated before mapped
      (mutter!4462 upstream)
    - Fix incorrect cursor over Xwayland clients
      (mutter#4033 upstream, LP: #2111502)
    - Improve Wayland spec compliance by sending Wayland seat name before
      its capabilities
      (mutter#4119 upstream)
    - Improve X11 compatibility (especially in Wine) by moving the X11 focus
      to a shared dummy window when the Wayland focus is really on any
      non-X11 window
      (mutter!4447 upstream)
    - Wait longer for hotplugged monitors to detect their input sources,
      improving compatibility with e.g. MSI PRO MP275Q
      (mutter!4442 upstream)
    - Make sure the cursor is updated after modesetting, even if there is no
      application window to redraw
      (mutter!4452 upstream)
    - Fix high resolution scroll events getting converted to discrete events
      that intermittently switch direction
      (mutter#4128 upstream)
    - Documentation updates

  [ Simon McVittie ]
  * d/gbp.conf: Use upstream/48.x branch for trixie
  * d/watch: Only watch for 48.x releases

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 03 Jul 2025 08:48:17 -0400

mutter (48.3.1-2) unstable; urgency=medium

  * Team upload
  * Add a detailed list of changes to the previous changelog entry
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 14 Jun 2025 10:07:10 +0100

mutter (48.3.1-1) experimental; urgency=medium

  * New upstream bugfix release
    - Improve performance of use-cases like fullscreen video playback
      on older GPUs such as the one in the Pinebook Pro, by substituting
      opaque dmabuf formats for their equivalents with alpha, such as
      XRGB for ARGB (mutter#2471 upstream)
    - Allocate the correct height for members of a vertical layout by
      updating size request mode when changing orientation
      (mutter!4339 upstream)
    - Only check for xkbfile when supporting X11
      (no practical effect on Debian, where we do support X11)
      (mutter!4409 upstream)
    - Fix several memory leaks, while ensuring objects are still destroyed
      in the correct order
      (mutter!4432 upstream)
    - Don't log a warning when files are removed from the ICC profile
      directory, fixing one source of flaky automated tests
      (mutter!4431 upstream)
    - Don't take control of logind session when running on Xorg, fixing the
      tty being left in an inconsistent state if mutter is killed
      (mutter!4391 upstream)
    - Fix gdctl crash when communicating with Xorg sessions
      (mutter#4023 upstream)
    - Avoid unexpectedly low framerate when moving/resizing windows after
      session locking or after heavy system load
      (mutter#4029 upstream)
    - Fix drag and drop of tabs into tiled/maximized state
      (mutter!4468 upstream)
    - Fix Xwayland windows becoming unresponsive to events
      (mutter!4475 upstream)
    - Use frame-sync candidate that likely matches scanout candidate, making
      variable refresh rate work better
      (mutter!4412 upstream)
    - Add an early-return from build_and_scan_frame_mask() for zero-sized
      textures, possibly fixing one source of flaky automated tests
      (mutter!4039 upstream)
    - Avoid leaking the session manager file's file descriptor down to
      apps launched by gnome-shell
      (gnome-shell#8345, mutter!4405 upstream)
    - Restore tiled/maximized windows to the correct monitor
      (mutter#3939 upstream)
    - Let the compositor control drag-and-drop cursor feedback for native
      Wayland
      (mutter!4390 upstream)
      - Related issue mutter#4033 upstream, mainly affecting older GTK
        versions like those in outdated Flatpak and Snap runtimes, is not
        fixed here; see mutter!4433 upstream for a possible solution
    - Propagate all touchpad gesture events to apps
      (mutter#3505 upstream)
    - Fix a race condition when registering an implict grab
      (mutter#4055 upstream)
    - Fix Wine games failing to enter fullscreen across multiple monitors
      (mutter!4389 upstream)
    - Update window decorations on override-redirect attribute change
      (mutter!4287 upstream)
    - In the test suite, fall back to a reasonable pipewire socket name on
      non-systemd systems
      (mutter#4044 upstream)
    - Translation updates: be, sk

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 13:51:45 -0400


