=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -10,6 +9,7 @@
                dh-sequence-gnome,
                at-spi2-core <!nocheck>,
                adwaita-icon-theme <!nocheck>,
+               bash-completion,
                dbus-daemon <!nocheck>,
                dmz-cursor-theme <!nocheck>,
                gir1.2-atk-1.0-dev,
@@ -30,12 +30,12 @@
                gobject-introspection (>= 1.80),
                gsettings-desktop-schemas-dev (>= 40~alpha),
                gtk-doc-tools,
-               libei-dev (>= 1.0.901),
-               libeis-dev (>= 1.0.901),
+               libei-dev (>= 1.3.901),
+               libeis-dev (>= 1.3.901),
                libcairo2-dev,
                libcanberra-gtk3-dev,
                libcolord-dev,
-               libdisplay-info-dev,
+               libdisplay-info-dev (>= 0.2),
                libdrm-dev (>= 2.4.118),
                libegl1-mesa-dev,
                libfribidi-dev,
@@ -50,7 +50,7 @@
                libgtk-4-dev,
                libgudev-1.0-dev (>= 238),
                libice-dev,
-               libinput-dev (>= 1.26.0),
+               libinput-dev (>= 1.27.0),
                libjson-glib-dev,
                liblcms2-dev,
                libnvidia-egl-wayland-dev,
@@ -82,30 +82,28 @@
                libxkbfile-dev,
                libxrandr-dev,
                libxrender-dev,
-               libxt-dev,
                meson (>= 1.3.0),
                pipewire <!nocheck>,
                pkgconf,
+               python3-argcomplete,
                python3-dbus <!nocheck>,
                python3-dbusmock,
+               python3-docutils,
                sysprof [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x],
                systemd-dev,
-               wayland-protocols (>= 1.36),
+               wayland-protocols (>= 1.41),
                wireplumber <!nocheck>,
                xauth <!nocheck>,
                xcvt:native,
                xkb-data,
                xvfb,
                xwayland (>= 2:23.1.0),
-               zenity
+               zenity,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://mutter.gnome.org/
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/latest
-
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
 
 Package: mutter
 Architecture: linux-any
@@ -113,12 +111,13 @@
          gnome-settings-daemon-common,
          gsettings-desktop-schemas (>= 40~alpha),
          mutter-common (>= ${source:Version}),
-         zenity,
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: x-window-manager
 Suggests: gnome-control-center,
           xdg-user-dirs
+Breaks: mutter-common (<< 48~beta)
+Replaces: mutter-common (<< 48~beta)
 Description: Example window manager using GNOME's window manager library
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
@@ -132,14 +131,14 @@
  This package contains the mutter executable. It can be used as a
  standalone window manager, but is primarily intended for debugging.
 
-Package: mutter-15-tests
+Package: mutter-16-tests
 Architecture: linux-any
 Depends: at-spi2-core,
          dbus-daemon,
          dmz-cursor-theme,
          libglib2.0-bin,
-         libmutter-15-0 (= ${binary:Version}),
-         libmutter-test-15 (= ${binary:Version}),
+         libmutter-16-0 (= ${binary:Version}),
+         libmutter-test-16 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          pipewire (>= 1.2.0),
          python3,
@@ -149,6 +148,7 @@
          xauth,
          xvfb,
          xwayland (>= 2:23.1.0),
+         zenity,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Tests for GNOME's window manager library
@@ -164,11 +164,11 @@
  This package contains test programs, designed to be run as part of a
  regression testsuite.
 
-Package: gir1.2-mutter-15
+Package: gir1.2-mutter-16
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libmutter-15-0 (= ${binary:Version}),
+Depends: libmutter-16-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -186,7 +186,7 @@
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
 
-Package: libmutter-15-0
+Package: libmutter-16-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -197,7 +197,7 @@
          mutter-common-bin (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: gnome-shell (<< 47~rc),
+Breaks: gnome-shell (<< 48~rc),
         xwayland (<< 2:23.1.0),
 Description: window manager library from the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
@@ -212,32 +212,54 @@
  This package contains the window manager shared library, used by mutter
  itself, and gnome-shell.
 
-Package: libmutter-15-dev
+Package: libmutter-16-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: gir1.2-mutter-15 (= ${binary:Version}),
+Depends: gir1.2-mutter-16 (= ${binary:Version}),
+         gnome-settings-daemon-dev,
+         gobject-introspection,
          gsettings-desktop-schemas-dev (>= 40~alpha),
          libatk1.0-dev,
          libcairo2-dev,
+         libcanberra-dev,
+         libcolord-dev,
+         libdisplay-info-dev (>= 0.2),
          libdrm-dev (>= 2.4.118),
+         libeis-dev (>= 1.3.901),
          libegl1-mesa-dev,
          libgbm-dev (>= 21.3),
          libgdk-pixbuf-2.0-dev,
          libgles-dev,
          libglib2.0-dev (>= 2.76),
+         libgnome-desktop-4-dev,
          libgraphene-1.0-dev,
-         libinput-dev (>= 1.26.0),
-         libmutter-15-0 (= ${binary:Version}),
+         libinput-dev (>= 1.27.0),
+         liblcms2-dev,
+         libmutter-16-0 (= ${binary:Version}),
+         libnvidia-egl-wayland-dev,
          libpango1.0-dev,
+         libpipewire-0.3-dev (>= 1.2.0),
+         libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x],
+         libstartup-notification0-dev,
+         libsystemd-dev,
          libwayland-dev (>= 1.23),
          libx11-dev,
+         libx11-xcb-dev,
+         libxcb-randr0-dev,
+         libxcb-res0-dev,
          libxcomposite-dev,
+         libxcursor-dev,
+         libxkbcommon-x11-dev,
          libxdamage-dev,
          libxext-dev,
          libxfixes-dev,
          libxi-dev,
+         libxinerama-dev,
+         libxkbcommon-dev,
+         libxkbfile-dev,
          libxrandr-dev,
+         libxtst-dev,
          ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}
@@ -253,14 +275,14 @@
  .
  This package contains the development files.
 
-Package: libmutter-test-15
+Package: libmutter-test-16
 Section: libs
 Architecture: linux-any
-Depends: libmutter-15-0 (= ${binary:Version}),
+Depends: libmutter-16-0 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: gir1.2-metatest-15
+Provides: gir1.2-metatest-16
 Description: Test helper library for GNOME's window manager library
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
@@ -294,18 +316,10 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: mutter (<< 44~)
-Replaces: mutter (<< 44~)
-Description: shared programs for the Mutter window manager
- Mutter is a Wayland display server and X11 window manager and
- compositor library. It contains functionality related to, among other
- things, window management, window compositing, focus tracking, workspace
- management, keybindings and monitor configuration.
- .
- Internally it uses a fork of Cogl, a hardware acceleration abstraction
- library used to simplify usage of OpenGL pipelines, as well as a fork
- of Clutter, a scene graph and user interface toolkit.
- .
- This package contains the program files which are used for the libraries
- and others.
+         ${shlibs:Depends},
+         gir1.2-glib-2.0,
+         python3,
+         python3-gi,
+Suggests: python3-argcomplete,
+Breaks: mutter (<< 48~beta-3~)
+Replaces: mutter (<< 48~beta-3~)
